NFSVIS(1)

NAME
nfsvis - visualize performance of NFS statistics

SYNOPSIS
nfsvis [-V] [-c version] [-m maxrate] [-s version] [pmview options]

DESCRIPTION
nfsvis displays a three dimensional bar chart of NFS request statistics. The display is updated with new values retrieved from the target host or archive every interval seconds (default is 2 seconds).

Two blocks of statistics are displayed - one for the NFS server and one for the NFS client requests. The height of the bars is proportional to the rate at which the various request types are processed.

nfsvis generates a pmview(1) configuration file, and passes most command line options to pmview(1). Therefore, the command line options -A, -a, -C, -h, -n, -O, -p, -S, -t, -T, -Z and -z, and the user interface are described in the pmview(1) man page.

COMMAND LINE OPTIONS
The nfsvis specific options are:

-c  Monitor NFS version 2 or 3 client metrics. The default is version 2.

-m  Use maxrate as the maximum NFS request rate over all classes of request, from which the height of the bars is computed. This effectively specifies the height at which bars will be clipped.

-s  Monitor NFS version 2 or 3 server metrics. The default is version 2.

-V  Verbose mode - output the generated pmview(1) configuration file.

FILES
$PCP_VAR_DIR/config/pmlogger/config.nfsvis
    A pmlogger(1) configuration file for nfsvis metrics.
$PCP_SHARE_DIR/lib/pmview-args
    Shell procedures for parsing pmview(1) command line options.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(4).

SEE ALSO
dkvis(1), mpvis(1), pmchart(1), pmlogger(1) and pmview(1).

The NFS view for pmchart(1).